Subject: RE: bug#10665: 24.0.93; Building for MS Windows using MinGW encounters a build problem in ../emacs-24.0.93/src/makefile

From: "Gallagher, Kevin" <[email-masked]>
Date: Tue, 31 Jan 2012 10:08:51 -0600

I have some additional information.

At the end of the execution of the gl-stamp target, the following line is displayed:

  cmd /c "fc /b gl-tmp globals.h >nul 2>&1 || cp -f gl-tmp globals.h"

The MSYS make doesn't have any problems with that line when executing within an MSYS bash shell.  So I modified the globals.h target to look like this:

    globals.h: gl-stamp
          @cmd /c "rem true"

MSYS make now handles this correctly.  So, I suspect that the MSYS make issue is really not with the "/c" syntax, but rather with the embedded spaces found in the shell command line that follows "/c".

>> Here's some additional information for nt/INSTALL.
>> 
>> 1. When building on Windows XP, the option "-fno-omit-frame-pointer" must be used.
>> Otherwise, entering a C-g will cause Emacs to crash.  
>> NOTE:  It turns out that this is not necessary when building on Windows 7.
>> (I don't have any information about other versions of Windows.)

> This is needed only with GCC 4.6.x, see etc/PROBLEMS.

As my note, above, indicates, this is NOT an issue with the identical MinGW port of GCC 4.6.x when building Emacs with it on the 64-bit version of Windows 7. So, I suspect that 32-bit version of Windows XP may share at least part or, perhaps, all the blame for this problem.